JPGICC(1)

NAME
jpgicc - little cms ICC profile applier for JPEG.

SYNOPSIS
jpgicc [options] input.jpg output.jpg

DESCRIPTION
lcms is a standalone CMM engine, which deals with the color management. It implements a fast transformation between ICC profiles. jpgicc is a little cms ICC profile applier for JPEG.

OPTIONS

-b  Black point compensation.

-c NUM
    Precalculates transform (0=Off, 1=Normal, 2=Hi-res, 3=LoRes) [defaults to 1].

-d NUM
    Observer adaptation state (abs.col. only), (0..1.0, float value) [defaults to 0.0].

-e  Embed destination profile.

-g  Marks out-of-gamut colors on softproof.

-h NUM
    Show summary of options and examples (0=help, 1=Examples, 2=Built-in profiles, 3=Contact information)

-i profile
    Input profile (defaults to sRGB).

-l link
    TODO: explain this option.

-m NUM
    SoftProof intent (0,1,2,3) [defaults to 0].

-n  Ignore embedded profile.

-o profile
    Output profile (defaults to sRGB).

-p profile
    Soft proof profile.

-q NUM
    Output JPEG quality, (0..100) [defaults to 75].

-s newprofile
    Save embedded profile as newprofile.

-t NUM
    Rendering intent
    0=Perceptual [default]
    1=Relative colorimetric
    2=Saturation
    3=Absolute colorimetric
    10=Perceptual preserving black ink
    11=Relative colorimetric preserving black ink
    12=Saturation preserving black ink
    13=Perceptual preserving black plane
    14=Relative colorimetric preserving black plane
    15=Saturation preserving black plane

-v  Verbose.

-! NUM,NUM,NUM
    Out-of-gamut marker channel values (r,g,b) [defaults: 128,128,128].

BUILT-IN PROFILES
	*Lab2  -- D50-based v2 CIEL*a*b
	*Lab4  -- D50-based v4 CIEL*a*b
	*Lab   -- D50-based v4 CIEL*a*b
	*XYZ   -- CIE XYZ (PCS)
	*sRGB  -- sRGB color space
	*Gray22 - Monochrome of Gamma 2.2
	*Gray30 - Monochrome of Gamma 3.0
	*null   - Monochrome black for all input
	*Lin2222- CMYK linearization of gamma 2.2 on each channel

EXAMPLES
To color correct from scanner to sRGB:
	jpgicc -iscanner.icm in.jpg out.jpg
To convert from monitor1 to monitor2:
	jpgicc -imon1.icm -omon2.icm in.jpg out.jpg
To make a CMYK separation:
	jpgicc -oprinter.icm inrgb.jpg outcmyk.jpg
To recover sRGB from a CMYK separation:
	jpgicc -iprinter.icm incmyk.jpg outrgb.jpg
To convert from CIELab ITU/Fax JPEG to sRGB
	jpgicc -iitufax.icm in.jpg out.jpg
To convert from CIELab ITU/Fax JPEG to sRGB
	jpgicc in.jpg out.jpg

NOTES
For suggestions, comments, bug reports etc. send mail to info@littlecms.com.

SEE ALSO
linkicc(1), psicc(1), tificc(1), transicc(1)

AUTHOR
This manual page was written by Shiju p. Nair <shiju.p@gmail.com>, for the Debian project.